> ## Documentation Index
> Fetch the complete documentation index at: https://developers.circle.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get pending deposits for specified addresses

> Returns pending deposits for each specified depositor address across different domains where that address is valid.



## OpenAPI

````yaml openapi/gateway.yaml post /v1/deposits
openapi: 3.0.3
info:
  title: Circle Gateway
  version: 1.0.0
  description: >
    Circle Gateway allows you to create a chain-abstracted USDC balance and
    transfer it instantly to any supported destination chain.
servers:
  - url: https://gateway-api-testnet.circle.com
  - url: https://gateway-api.circle.com
security: []
tags:
  - name: Gateway
    description: >-
      Endpoints for getting a unified USDC balance and creating attestations for
      transfer
  - name: Gateway Batch
    description: Endpoints for batch processing of EIP-3009 authorizations
  - name: Gateway x402
    description: Endpoints for x402 payment protocol integration
  - name: Webhook Subscriptions
    description: Manage webhook subscriptions for Gateway event notifications.
paths:
  /v1/deposits:
    post:
      tags:
        - Gateway
      summary: Get pending deposits for specified addresses
      description: >-
        Returns pending deposits for each specified depositor address across
        different domains where that address is valid.
      operationId: GetDeposits
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/GetDepositsRequest'
      responses:
        '200':
          description: Successfully retrieved deposits
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DepositsResponse'
        '400':
          $ref: '#/components/responses/BadRequest'
        '404':
          $ref: '#/components/responses/NotFound'
components:
  schemas:
    GetDepositsRequest:
      type: object
      properties:
        token:
          $ref: '#/components/schemas/Token'
          description: Token type to query deposits for
        sources:
          type: array
          description: >-
            List of sources to query deposits from. If domain is omitted from
            any source, the deposits from all domains for that depositor will be
            returned.
          items:
            type: object
            properties:
              domain:
                $ref: '#/components/schemas/Domain'
                description: >-
                  Domain to query deposits from. The depositor address must be
                  valid on the given domain.
              depositor:
                type: string
                description: Address of the depositor to query deposits for
            required:
              - depositor
      required:
        - token
        - sources
    DepositsResponse:
      type: object
      description: Response containing pending deposits for specified sources
      properties:
        token:
          $ref: '#/components/schemas/Token'
          description: Token type that was queried
        deposits:
          type: array
          description: List of pending deposits for each source
          items:
            type: object
            properties:
              depositor:
                type: string
                description: Address of the depositor
              domain:
                $ref: '#/components/schemas/Domain'
                description: Domain where the deposit was made
              transactionHash:
                type: string
                description: Transaction hash of the deposit event
                pattern: ^0x[0-9a-fA-F]{64}$
                example: >-
                  0x2c5f3e4a9e4b1a4b9c8d6a7d5b8e9f0a1b2c3d4e5f6a7b8c9d0e1f2a3b4c5d6e
              amount:
                type: string
                pattern: ^\d+$
                description: Deposit amount in base units
              status:
                type: string
                enum:
                  - pending
                description: Status of the deposit (always 'pending' for this endpoint)
              blockHeight:
                type: string
                description: Block height when the deposit occurred
                example: '15000000'
              blockHash:
                type: string
                description: Block hash when the deposit occurred
                pattern: ^0x[0-9a-fA-F]{64}$
                example: >-
                  0x1dcc4de8dec75d7aab85b567b6ccd41ad312451b948a7413f0a142fd40d49347
              blockTimestamp:
                type: string
                format: date-time
                description: Block timestamp when the deposit occurred, in ISO 8601 format
            required:
              - depositor
              - domain
              - transactionHash
              - amount
              - status
              - blockHeight
              - blockHash
              - blockTimestamp
      required:
        - token
        - deposits
    Token:
      type: string
      description: Supported tokens for Gateway
      enum:
        - USDC
    Domain:
      type: integer
      enum:
        - 0
        - 1
        - 2
        - 3
        - 5
        - 6
        - 7
        - 10
        - 13
        - 14
        - 16
        - 19
        - 26
      description: |
        Circle domain identifiers for supported chains:

        - 0 - Ethereum
        - 1 - Avalanche
        - 2 - OP
        - 3 - Arbitrum
        - 5 - Solana
        - 6 - Base
        - 7 - Polygon PoS
        - 10 - Unichain
        - 13 - Sonic
        - 14 - World Chain
        - 16 - Sei
        - 19 - HyperEVM
        - 26 - Arc
    XRequestId:
      type: string
      format: uuid
      description: >-
        A unique identifier, which can be helpful for identifying a request when
        communicating with Circle support.
      example: 2adba88e-9d63-44bc-b975-9b6ae3440dde
  responses:
    BadRequest:
      content:
        application/json:
          schema:
            type: object
            title: BadRequestResponse
            required:
              - code
              - message
            properties:
              code:
                type: integer
                description: Code that corresponds to the error.
              message:
                type: string
                description: Message that describes the error.
            example:
              code: 400
              message: Bad request.
      description: Request cannot be processed due to a client error.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
    NotFound:
      content:
        application/json:
          schema:
            type: object
            title: NotFoundResponse
            required:
              - code
              - message
            properties:
              code:
                type: integer
                description: Code that corresponds to the error.
              message:
                type: string
                description: Message that describes the error.
            example:
              code: 404
              message: Not found.
      description: Specified resource was not found.
      headers:
        X-Request-Id:
          $ref: '#/components/headers/XRequestId'
  headers:
    XRequestId:
      description: >
        Developer-provided header parameter or Circle-generated universally
        unique identifier (UUID v4). Useful for identifying a specific request
        when communicating with Circle Support.
      schema:
        $ref: '#/components/schemas/XRequestId'

````